/***************************************************************************
 *   Copyright (C) 2005-2006 by Georg Hennig                               *
 *   Email: georg.hennig@web.de                                            *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef _KOMPARATORPRESET_H_
#define _KOMPARATORPRESET_H_

#include <qwidget.h>

class KomparatorWidget;
class KURL;
class QString;
class QDateTime;

class KomparatorPreset
{
  public:
    KomparatorPreset( KomparatorWidget *_parent );
    QString title();
    bool readConfig( uint preset_number );
    bool saveConfig( uint preset_number );
    bool readFromInterface( bool reread = FALSE );
    void setToInterface();

  private:
    KomparatorWidget *parent;
    QString preset_title;

    QString slot_preset_title;
    QString slot_url1;
    QString slot_url2;

    KURL url1;
    KURL url2;
    QString regex;
    uint size_selection; // 0 = none, 1 = at least, 2 = at most, 3 = equal to.
    unsigned long size; // spin box content
    uint size_multiple; // 0 = bytes, 1 = KB, 2 = MB
    uint modified_or_created; // 0 = any, 1 = between, 2 = during the last
    QDateTime date1;
    QDateTime date2;
    uint date3_num;
    uint modified_last; // 0 = minutes, 1 = hours, 2 = days, 3 = months, 4 = years
    bool ignore_empty;
    bool size_comparison;
    bool md5_sum;
    bool binary_comparison;
    uint binary_comparison_size; // in MB
    bool empty_folders;
    bool include_subfolders;
    bool use_locate;
    bool case_sensitive;
    bool soft_links;
    bool enable_duplicates_search;
    bool enable_missing_search;
    bool enable_newer_search;
    bool reference_folder_left;
};

#endif
